'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = readFileToString;
/**
 * Get the content of a File object.
 * @param {File} file
 * @return {string}
 */
function readFileToString(file) {
    return new Promise(function (resolve, reject) {
        var reader = new FileReader();
        reader.onload = function (e) {
            var data = '';
            var byteArray = new Uint8Array(e.target.result);
            for (var i = 0; i < byteArray.byteLength; i++) {
                data += String.fromCharCode(byteArray[i]);
            }
            resolve(data);
        };
        reader.onerror = function (e) {
            reject(e.target.error);
        };
        reader.readAsArrayBuffer(file);
    });
}